/* Susie '00IN' Plug-in Interface */

#ifndef	SUSIE_SPI_API_H
#define	SUSIE_SPI_API_H

#ifdef __cplusplus
extern "C" {
#endif

#pragma pack(push)
#pragma pack(1) //\̂̃oE1oCgɂ pragma
typedef struct PictureInfo {
    long left,top;       // 摜WJʒu
    long width;          // 摜̕(pixel)
    long height;         // 摜̍(pixel)
    WORD x_density;      // f̐x
    WORD y_density;      // f̐x
    short colorDepth;    // fbit
    HLOCAL hInfo;        // 摜̃eLXg
} PictureInfo;
#pragma pack(pop)

//G[R[h
#define SPI_NO_FUNCTION       -1  /* ̋@\̓CvgĂȂ */
#define SPI_ALL_RIGHT          0  /* I */
#define SPI_ABORT              1  /* R[obN֐0Ԃ̂œWJ𒆎~ */
#define SPI_NOT_SUPPORT        2  /* m̃tH[}bg */
#define SPI_OUT_OF_ORDER       3  /* f[^Ă */
#define SPI_NO_MEMORY          4  /* [mۏoȂ */
#define SPI_MEMORY_ERROR       5  /* [G[ */
#define SPI_FILE_READ_ERROR    6  /* t@C[hG[ */
#define	SPI_WINDOW_ERROR       7  /* JȂ (J̃G[R[h) */
#define SPI_OTHER_ERROR        8  /* G[ */
#define	SPI_FILE_WRITE_ERROR   9  /* ݃G[ (J̃G[R[h) */
#define	SPI_END_OF_FILE       10  /* t@CI[ (J̃G[R[h) */

//vg^Cv錾('00IN'̊֐)
typedef int (CALLBACK *SPI_PROGRESS)(int, int, long);
int __declspec(dllexport) __stdcall GetPluginInfo
            (int infono, LPSTR buf, int buflen);
int __declspec(dllexport) __stdcall IsSupported(LPSTR filename, DWORD dw);
int __declspec(dllexport) __stdcall GetPictureInfo
            (LPSTR buf,long len, unsigned int flag, PictureInfo *lpInfo);
/* QuickDraw  GetPicture ƏՓ˂邽 SusieGetPicture ƂĂ */
int __declspec(dllexport) __stdcall SusieGetPicture
            (LPSTR buf,long len, unsigned int flag,
             HANDLE *pHBInfo, HANDLE *pHBm,
             SPI_PROGRESS lpPrgressCallback,
             long lData);
int __declspec(dllexport) __stdcall GetPreview
            (LPSTR buf,long len, unsigned int flag,
             HANDLE *pHBInfo, HANDLE *pHBm,
             SPI_PROGRESS lpPrgressCallback,
             long lData);
int __declspec(dllexport) __stdcall ConfigurationDlg(HWND parent,int fnc);

#ifdef __cplusplus
}
#endif


#endif	/* SUSIE_SPI_API_H */

