/*
 * Copyright (c) 2003 shimitei
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#ifndef	qt_typeH
#define	qt_typeH

#pragma pack(push)
#pragma pack(1) //\̂̃oE1oCgɂ pragma
//SoCgPʂň
typedef struct{
  unsigned int   uk1;
  unsigned int   uk2;
  unsigned int   uk3;
  unsigned int   uk4;
} UNKNOWN_FILE;
#pragma pack(pop)

//t@C`FbNɍŒKvȃTCY
#define HEAD_BUFSIZE 32
//AVI
#define RIFF_TYPE_ID    0x46464952 /* "RIFF" */
#define AVI_TYPE_ID     0x20495641 /* "AVI " */
//MOV
#define MDAT_TYPE_ID    0x7461646d /* "mdat" */
#define PNOT_TYPE_ID    0x746f6e70 /* "pnot" */
#define MOOV_TYPE_ID    0x766f6f6d /* "moov" */

//t@C^Cv
//1000傫
#define FT_DEBUG     -1
#define FT_UNKNOWN    0
#define FT_MOV     1001
#define FT_AVI     1002
#define FT_COUNT 2
#define IS_MOVIE(ft) (((ft) > 1000)? true: false)


#endif
